"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const parser = require('swagger-parser');
class OpenApiParser {
    execute(path) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const schema = yield parser.dereference(path);
                schema.decorated = {};
                return schema;
            }
            catch (error) {
                if (error.code === 'ENOENT') {
                    error.message = `${path}: No such file or directory`;
                }
                else {
                    error.message = `${path} is not a valid OpenAPI Schema. \n${error.message}`;
                }
                throw error;
            }
        });
    }
}
exports.default = OpenApiParser;
//# sourceMappingURL=index.js.map